/**
 * Document ready
 * 
 * Single Product Page
 */
jQuery(document).ready(function($) {
"use strict";

/**
 * Lightbox image Single product page
 */
$('body').on('click', '.easyzoom-flyout', function() {
    if (!$('body').hasClass('nasa-disable-lightbox-image')) {
        var _click = $(this).parents('.easyzoom');
        if ($(_click).length && $(_click).find('a.product-image').length) {
            $(_click).find('a.product-image').trigger('click');
        }
    }
});

/**
 * Change gallery for variation - single
 */
$('body').on('nasa_changed_gallery_variable_single', function() {
    load_slick_single_product($, true);
    load_gallery_popup($);

    $('body').trigger('nasa_compatible_jetpack');

    setTimeout(function() {
        $('.product-gallery').css({'min-height': 'auto'});
        $(window).resize();
    }, 100);
});

/**
 * Change Countdown for variation - Quick view
 */
$('body').on('nasa_reload_slick_slider', function() {
    load_slick_single_product($, true);
});

/**
 * Single Product
 * Variable change image
 */
if ($('.nasa-product-details-page .nasa-gallery-variation-supported').length === 1) {
    change_gallery_variable_single_product($);
} else {
    /**
     * Load single product image
     */
    load_slick_single_product($);
    
    /* Product Gallery Popup */
    load_gallery_popup($);
    change_image_variable_single_product($);
}

/**
 * Event click single product thumbnail
 */
$('body').on('click', '.nasa-single-product-slide .nasa-single-product-thumbnails .slick-slide', function() {
    var _wrap = $(this).parents('.nasa-single-product-thumbnails');
    var _speed = parseInt($(_wrap).attr('data-speed'));
    _speed = !_speed ? 600 : _speed;
    $(_wrap).append('<div class="nasa-slick-fog"></div>');

    setTimeout(function() {
        $(_wrap).find('.nasa-slick-fog').remove();
    }, _speed);
});

/* Product Gallery Popup */
$('body').on('click', '.product-lightbox-btn', function(e) {
    if ($('.nasa-single-product-slide').length) {
        $('.product-images-slider').find('.slick-current.slick-active a').trigger('click');
    }

    else if ($('.nasa-single-product-scroll').length) {
        $('#nasa-main-image-0 a').trigger('click');
    }

    e.preventDefault();
});

/* Product Video Popup */
$('body').on('click', "a.product-video-popup", function(e) {
    if (! $('body').hasClass('nasa-disable-lightbox-image')) {
        $('.product-images-slider').find('.first a').trigger('click');
        var galeryPopup = $.magnificPopup.instance;
        galeryPopup.prev();
    }
    
    else {
        var productVideo = $(this).attr('href');
        $.magnificPopup.open({
            items: {
                src: productVideo
            },
            type: 'iframe',
            tLoading: '<div class="nasa-loader"></div>',
            closeMarkup: '<a class="nasa-mfp-close nasa-stclose" href="javascript:void(0);" title="' + $('input[name="nasa-close-string"]').val() + '"></a>'
        }, 0);
    }
    
    e.preventDefault();
});

/**
 * Next Prev Single Product Slider
 */
$('body').on('click', '.nasa-single-arrow', function() {
    var _this = $(this);
    if (!$(_this).hasClass('nasa-disabled')) {
        var _action = $(_this).attr('data-action');
        var _wrap = $(_this).parents('.product-images-slider');
        var _slides = $(_wrap).find('.nasa-single-product-main-image');
        if ($(_slides).find('.slick-arrow.slick-' + _action).length) {
            var _real = $(_slides).find('.slick-arrow.slick-' + _action);
            $(_real).trigger('click');
        }
    }
});

/**
 * Next Prev Single Product Slider add class "nasa-disabled"
 */
$('body').on('nasa_after_single_product_slick_inited', function(ev, _thumbs, _num_ver) {
    $('.nasa-single-product-slide .nasa-single-product-main-image').on('afterChange', function(){
        var _this = $(this);
        var _wrap = $(_this).parents('.product-images-slider');

        if ($(_wrap).find('.nasa-single-arrow').length) {
            var _prev = $(_this).find('.slick-prev');
            var _next = $(_this).find('.slick-next');

            $(_wrap).find('.nasa-single-arrow').removeClass('nasa-disabled');

            if ($(_prev).hasClass('slick-disabled')) {
                $(_wrap).find('.nasa-single-arrow[data-action="prev"]').addClass('nasa-disabled');
            }

            if ($(_next).hasClass('slick-disabled')) {
                $(_wrap).find('.nasa-single-arrow[data-action="next"]').addClass('nasa-disabled');
            }
        }
    });
    
    if (_thumbs) {
        if ($(_thumbs).find('.slick-slide').length <= _num_ver && !$(_thumbs).hasClass('not-full-items')) {
            $(_thumbs).addClass('not-full-items');
        }
    }
    
    ev.preventDefault();
});

/**
 * Tab reviewes
 */
$('body').on('click', '.nasa-product-details-page .woocommerce-review-link', function() {
    if (
        $('.woocommerce-tabs .reviews_tab a').length ||
        $('.woocommerce-tabs .nasa-accordion-reviews').length ||
        $('.woocommerce-tabs .nasa-anchor[data-target="#nasa-anchor-reviews"].active').length
    ) {
        var _obj = $('.woocommerce-tabs .reviews_tab a');
        if ($(_obj).length <= 0) {
            _obj = $('.woocommerce-tabs .nasa-accordion-reviews');
        }
        if ($(_obj).length <= 0) {
            _obj = $('.woocommerce-tabs .nasa-anchor[data-target="#nasa-anchor-reviews"].active');
        }
        
        if ($(_obj).length) {
            $('body').trigger('nasa_animate_scroll_to_top', [$, _obj, 500]);
            setTimeout(function() {
                if (!$(_obj).hasClass('active')) {
                    $(_obj).trigger('click');
                    $(_obj).mousemove();
                }
            }, 500);
        }
    }
    
    return false;
});

/**
 * Scroll single product
 */
load_scroll_single_product($, true);
$(window).resize(function() {
    /* Fix scroll single product */
    load_scroll_single_product($);
});

/**
 * Scroll sticky add to cart
 */
if ($('input[name="nasa_fixed_single_add_to_cart"]').length) {
    $(window).scroll(function() {
        var scrollTop = $(this).scrollTop();
            if ($('.nasa-product-details-page .single_add_to_cart_button').length) {
                var addToCart = $('.nasa-product-details-page #nasa-single-product-tabs') || $('.nasa-product-details-page .single_add_to_cart_button');
                if ($(addToCart).length) {
                    var addToCartOffset = $(addToCart).offset();

                    if (scrollTop >= addToCartOffset.top) {
                        if (!$('body').hasClass('has-nasa-cart-fixed')) {
                            $('body').addClass('has-nasa-cart-fixed');
                        }
                    } else {
                        $('body').removeClass('has-nasa-cart-fixed');
                    }
                }
            }
    });
}

/**
 * Fixed Single form add to cart
 */
if (
    $('input[name="nasa_fixed_single_add_to_cart"]').length &&
    $('.nasa-product-details-page').length
) {
    var _nasa_in_mobile = $('input[name="nasa_mobile_layout"]').length ? true : false;
    
    var _mobile_fixed_addToCart = 'no';
    if ($('input[name="nasa_fixed_mobile_single_add_to_cart_layout"]').length) {
        _mobile_fixed_addToCart = $('input[name="nasa_fixed_mobile_single_add_to_cart_layout"]').val();
    }
    var _can_render = true;
    if (_nasa_in_mobile && (_mobile_fixed_addToCart === 'no' || _mobile_fixed_addToCart === 'btn')) {
        _can_render = false;
        $('body').addClass('nasa-cart-fixed-desktop');
    }
    if (_mobile_fixed_addToCart === 'btn') {
        $('body').addClass('nasa-cart-fixed-mobile-btn');
        
        if ($('.nasa-buy-now').length) {
            $('body').addClass('nasa-has-buy-now');
        }
    }
    
    /**
     * Render in desktop
     */
    if (_can_render && $('.nasa-add-to-cart-fixed').length <= 0) {
        $('body').append('<div class="nasa-add-to-cart-fixed"><div class="nasa-wrap-content-inner"><div class="nasa-wrap-content"></div></div></div>');

        if (_mobile_fixed_addToCart === 'no' || _mobile_fixed_addToCart === 'btn') {
            $('.nasa-add-to-cart-fixed').addClass('nasa-not-show-mobile');
            $('body').addClass('nasa-cart-fixed-desktop');
        }

        var _addToCartWrap = $('.nasa-add-to-cart-fixed .nasa-wrap-content');

        /**
         * Main Image clone
         */
        $(_addToCartWrap).append('<div class="nasa-fixed-product-info"></div>');
        var _src = '';
        if ($('.nasa-product-details-page .product-thumbnails').length) {
            _src = $('.nasa-product-details-page .product-thumbnails .nasa-wrap-item-thumb[data-key="0"]').attr('data-thumb_org') || $('.nasa-product-details-page .product-thumbnails .nasa-wrap-item-thumb[data-key="0"] img').attr('src');
        } else {
            _src = $('.nasa-product-details-page .main-images .item-wrap.first a.product-image').attr('data-o_href') || $('.nasa-product-details-page .main-images .item-wrap.first img').attr('src');
        }
        
        if (_src !== '') {
            $('.nasa-fixed-product-info').append('<div class="nasa-thumb-clone"><img src="' + _src + '" /></div>');
        }

        /**
         * Title clone
         */
        if ($('.nasa-product-details-page .product-info .product_title').length) {
            var _title = $('.nasa-product-details-page .product-info .product_title').html();

            $('.nasa-fixed-product-info').append('<div class="nasa-title-clone"><h3>' + _title +'</h3></div>');
        }

        /**
         * Price clone
         */
        if ($('.nasa-product-details-page .product-info .price.nasa-single-product-price').length) {
            var _price = $('.nasa-product-details-page .product-info .price.nasa-single-product-price').html();
            if ($('.nasa-title-clone').length) {
                $('.nasa-title-clone').append('<span class="price">' + _price + '</span>');
            }
            else {
                $('.nasa-fixed-product-info').append('<div class="nasa-title-clone"><span class="price">' + _price + '</span></div>');
            }
        }

        /**
         * Variations clone
         */
        if ($('.nasa-product-details-page .variations_form').length) {
            $(_addToCartWrap).append('<div class="nasa-fixed-product-variations-wrap"><div class="nasa-fixed-product-variations"></div><a class="nasa-close-wrap" href="javascript:void(0);"></a></div>');

            /**
             * Variations
             * 
             * @type type
             */
            var _k = 1,
                _item = 1;
            $('.nasa-product-details-page .variations_form .variations tr').each(function() {
                var _this = $(this);
                var _classWrap = 'nasa-attr-wrap-' + _k.toString();
                var _type = $(_this).find('select').attr('data-attribute_name') || $(_this).find('select').attr('name');

                if ($(_this).find('.nasa-attr-ux_wrap').length) {
                    $('.nasa-fixed-product-variations').append('<div class="nasa-attr-ux_wrap-clone ' + _classWrap + '"></div>');

                    $(_this).find('.nasa-attr-ux').each(function() {
                        var _obj = $(this);
                        var _classItem = 'nasa-attr-ux-' + _item.toString();
                        var _classItemClone = 'nasa-attr-ux-clone-' + _item.toString();
                        var _classItemClone_target = _classItemClone;

                        if ($(_obj).hasClass('nasa-attr-ux-image')) {
                            _classItemClone += ' nasa-attr-ux-image-clone';
                        }

                        if ($(_obj).hasClass('nasa-attr-ux-color')) {
                            _classItemClone += ' nasa-attr-ux-color-clone';
                        }

                        if ($(_obj).hasClass('nasa-attr-ux-label')) {
                            _classItemClone += ' nasa-attr-ux-label-clone';
                        }

                        var _selected = $(_obj).hasClass('selected') ? ' selected' : '';
                        var _contentItem = $(_obj).html();

                        $(_obj).addClass(_classItem);
                        $(_obj).attr('data-target', '.' + _classItemClone_target);

                        $('.nasa-attr-ux_wrap-clone.' + _classWrap).append('<a href="javascript:void(0);" class="nasa-attr-ux-clone' + _selected + ' ' + _classItemClone + ' nasa-' + _type + '" data-target=".' + _classItem + '">' + _contentItem + '</a>');

                        _item++;
                    });
                } else {
                    $('.nasa-fixed-product-variations').append('<div class="nasa-attr-select_wrap-clone ' + _classWrap + '"></div>');

                    var _obj = $(_this).find('select');

                    var _label = $(_this).find('.label').length ? $(_this).find('.label').html() : '';

                    var _classItem = 'nasa-attr-select-' + _item.toString();
                    var _classItemClone = 'nasa-attr-select-clone-' + _item.toString();

                    var _contentItem = $(_obj).html();

                    $(_obj).addClass(_classItem).addClass('nasa-attr-select');
                    $(_obj).attr('data-target', '.' + _classItemClone);

                    $('.nasa-attr-select_wrap-clone.' + _classWrap).append(_label + '<select name="' + _type + '" class="nasa-attr-select-clone ' + _classItemClone + ' nasa-' + _type + '" data-target=".' + _classItem + '">' + _contentItem + '</select>');

                    _item++;
                }

                _k++;
            });
        }
        /**
         * Class wrap simple product
         */
        else {
            $(_addToCartWrap).addClass('nasa-fixed-single-simple');
        }

        /**
         * Add to cart button
         */
        setTimeout(function() {
            var _button_wrap = nasa_clone_add_to_cart($);
            $(_addToCartWrap).append('<div class="nasa-fixed-product-btn"></div>');
            $('.nasa-fixed-product-btn').html(_button_wrap);
            var _val = $('.nasa-product-details-page form.cart input[name="quantity"]').val();
            $('.nasa-single-btn-clone input[name="quantity"]').val(_val);
        }, 250);

        setTimeout(function() {
            if ($('.nasa-attr-ux').length) {
                $('.nasa-attr-ux').each(function() {
                    var _this = $(this);
                    var _targetThis = $(_this).attr('data-target');

                    if ($(_targetThis).length) {
                        var _disable = $(_this).hasClass('nasa-disable') ? true : false;
                        if (_disable) {
                            if (!$(_targetThis).hasClass('nasa-disable')) {
                                $(_targetThis).addClass('nasa-disable');
                            }
                        } else {
                            $(_targetThis).removeClass('nasa-disable');
                        }
                    }
                });
            }
        }, 550);

        /**
         * Change Ux
         */
        $('body').on('click', '.nasa-attr-ux', function() {
            var _target = $(this).attr('data-target');
            if ($(_target).length) {
                var _wrap = $(_target).parents('.nasa-attr-ux_wrap-clone');
                $(_wrap).find('.nasa-attr-ux-clone').removeClass('selected');
                if ($(this).hasClass('selected')) {
                    $(_target).addClass('selected');
                }

                if ($('.nasa-fixed-product-btn').length) {
                    setTimeout(function() {
                        var _button_wrap = nasa_clone_add_to_cart($);
                        $('.nasa-fixed-product-btn').html(_button_wrap);
                        var _val = $('.nasa-product-details-page form.cart input[name="quantity"]').val();
                        $('.nasa-single-btn-clone input[name="quantity"]').val(_val);
                    }, 250);
                }

                setTimeout(function() {
                    if ($('.nasa-attr-ux').length) {
                        $('.nasa-attr-ux').each(function() {
                            var _this = $(this);
                            var _targetThis = $(_this).attr('data-target');

                            if ($(_targetThis).length) {
                                var _disable = $(_this).hasClass('nasa-disable') ? true : false;
                                if (_disable) {
                                    if (!$(_targetThis).hasClass('nasa-disable')) {
                                        $(_targetThis).addClass('nasa-disable');
                                    }
                                } else {
                                    $(_targetThis).removeClass('nasa-disable');
                                }
                            }
                        });
                    }
                }, 250);
            }
        });

        /**
         * Change Ux clone
         */
        $('body').on('click', '.nasa-attr-ux-clone', function() {
            var _target = $(this).attr('data-target');
            if ($(_target).length) {
                $(_target).trigger('click');
            }
        });

        /**
         * Change select
         */
        $('body').on('change', '.nasa-attr-select', function() {
            var _this = $(this);
            var _target = $(_this).attr('data-target');
            var _value = $(_this).val();

            if ($(_target).length) {
                setTimeout(function() {
                    var _html = $(_this).html();
                    $(_target).html(_html);
                    $(_target).val(_value);
                }, 100);

                setTimeout(function() {
                    var _button_wrap = nasa_clone_add_to_cart($);
                    $('.nasa-fixed-product-btn').html(_button_wrap);
                    var _val = $('.nasa-product-details-page form.cart input[name="quantity"]').val();
                    $('.nasa-single-btn-clone input[name="quantity"]').val(_val);

                    if ($('.nasa-attr-ux').length) {
                        $('.nasa-attr-ux').each(function() {
                            var _this = $(this);
                            var _targetThis = $(_this).attr('data-target');

                            if ($(_targetThis).length) {
                                var _disable = $(_this).hasClass('nasa-disable') ? true : false;
                                if (_disable) {
                                    if (!$(_targetThis).hasClass('nasa-disable')) {
                                        $(_targetThis).addClass('nasa-disable');
                                    }
                                } else {
                                    $(_targetThis).removeClass('nasa-disable');
                                }
                            }
                        });
                    }
                }, 250);
            }
        });

        /**
         * Change select clone
         */
        $('body').on('change', '.nasa-attr-select-clone', function() {
            var _target = $(this).attr('data-target');
            var _value = $(this).val();
            if ($(_target).length) {
                $(_target).val(_value).change();
            }
        });

        /**
         * Reset variations
         */
        $('body').on('click', '.reset_variations', function() {
            $(_addToCartWrap).find('.selected').removeClass('selected');

            setTimeout(function() {
                var _button_wrap = nasa_clone_add_to_cart($);
                $('.nasa-fixed-product-btn').html(_button_wrap);
                var _val = $('.nasa-product-details-page form.cart input[name="quantity"]').val();
                $('.nasa-single-btn-clone input[name="quantity"]').val(_val);

                if ($('.nasa-attr-ux').length) {
                    $('.nasa-attr-ux').each(function() {
                        var _this = $(this);
                        var _targetThis = $(_this).attr('data-target');

                        if ($(_targetThis).length) {
                            var _disable = $(_this).hasClass('nasa-disable') ? true : false;
                            if (_disable) {
                                if (!$(_targetThis).hasClass('nasa-disable')) {
                                    $(_targetThis).addClass('nasa-disable');
                                }
                            } else {
                                $(_targetThis).removeClass('nasa-disable');
                            }
                        }
                    });
                }
            }, 250);
        });

        /**
         * Plus, Minus button
         */
        $('body').on('click', '.nasa-product-details-page form.cart .quantity .plus, .nasa-product-details-page form.cart .quantity .minus', function() {
            if ($('.nasa-single-btn-clone input[name="quantity"]').length) {
                var _val = $('.nasa-product-details-page form.cart input[name="quantity"]').val();
                $('.nasa-single-btn-clone input[name="quantity"]').val(_val);
            }
        });

        /**
         * Plus clone button
         */
        $('body').on('click', '.nasa-single-btn-clone .plus', function() {
            if ($('.nasa-product-details-page form.cart .quantity .plus').length) {
                $('.nasa-product-details-page form.cart .quantity .plus').trigger('click');
            }
        });

        /**
         * Minus clone button
         */
        $('body').on('click', '.nasa-single-btn-clone .minus', function() {
            if ($('.nasa-product-details-page form.cart .quantity .minus').length) {
                $('.nasa-product-details-page form.cart .quantity .minus').trigger('click');
            }
        });

        /**
         * Quantily input
         */
        $('body').on('keyup', '.nasa-product-details-page form.cart input[name="quantity"]', function() {
            var _val = $(this).val();
            $('.nasa-single-btn-clone input[name="quantity"]').val(_val);
        });

        /**
         * Quantily input clone
         */
        $('body').on('keyup', '.nasa-single-btn-clone input[name="quantity"]', function() {
            var _val = $(this).val();
            $('.nasa-product-details-page form.cart input[name="quantity"]').val(_val);
        });

        /**
         * Add to cart click
         */
        $('body').on('click', '.nasa-single-btn-clone .single_add_to_cart_button', function() {
            if ($('.nasa-product-details-page form.cart .single_add_to_cart_button').length) {
                $('.nasa-product-details-page form.cart .single_add_to_cart_button').trigger('click');
            }
        });
        
        /**
         * Buy Now click
         */
        $('body').on('click', '.nasa-single-btn-clone .nasa-buy-now', function() {
            if ($('.nasa-product-details-page form.cart .nasa-buy-now').length) {
                $('.nasa-product-details-page form.cart .nasa-buy-now').trigger('click');
            }
        });

        /**
         * Toggle Select Options
         */
        $('body').on('click', '.nasa-toggle-variation_wrap-clone', function() {
            if ($('.nasa-fixed-product-variations-wrap').length) {
                $('.nasa-fixed-product-variations-wrap').toggleClass('nasa-active');
            }
        });
        
        $('body').on('click', '.nasa-close-wrap', function() {
            if ($('.nasa-fixed-product-variations-wrap').length) {
                $('.nasa-fixed-product-variations-wrap').removeClass('nasa-active');
            }
        });
    }
}

/**
 * Toggle Woo Tabs in mobile
 */
$('body').on('click', '.nasa-toggle-woo-tabs', function() {
    if ($('.mobile-tabs-off-canvas').length) {
        $('.mobile-tabs-off-canvas').toggleClass('nasa-active');
    }
});

/* End Document Ready */
});

/**
 * Functions
 */
/**
 * clone add to cart button fixed
 * 
 * @param {type} $
 * @returns {String}
 */
function nasa_clone_add_to_cart($) {
    var _ressult = '';
    
    if ($('.nasa-product-details-page').length) {
        var _wrap = $('.nasa-product-details-page');
        
        /**
         * Variations
         */
        if ($(_wrap).find('.single_variation_wrap').length) {
            var _price = $(_wrap).find('.single_variation_wrap .woocommerce-variation .woocommerce-variation-price').length && $(_wrap).find('.single_variation_wrap .woocommerce-variation').css('display') !== 'none' ? $(_wrap).find('.single_variation_wrap').find('.woocommerce-variation-price').html() : '';
            
            /**
             * Clone form
             */
            var _addToCart = $(_wrap).find('.single_variation_wrap').find('.woocommerce-variation-add-to-cart').clone();
            
            /**
             * Remove id
             */
            $(_addToCart).find('*').removeAttr('id');
            
            /**
             * Remove Style
             */
            if ($(_addToCart).find('.single_add_to_cart_button').length) {
                $(_addToCart).find('.single_add_to_cart_button').removeAttr('style');
            }
            
            /**
             * Remove Buy Now
             */
            if ($(_addToCart).find('.nasa-buy-now').length && !$(_addToCart).find('.nasa-buy-now').hasClass('has-sticky-in-desktop')) {
                $(_addToCart).find('.nasa-buy-now').remove();
            }
            
            /**
             * Remove tags not use in sticky
             */
            if ($(_addToCart).find('.nasa-not-in-sticky').length) {
                $(_addToCart).find('.nasa-not-in-sticky').remove();
            }
            
            /**
             * Compatible with Uni CPO/Rangeslider.ion Plugin
             */
            if ($(_addToCart).find('.uni-builderius-container').length) {
                $(_addToCart).find('.uni-builderius-container').remove();
            }
            
            var _btn = $(_addToCart).html();
            
            var _disable = $(_wrap).find('.single_variation_wrap').find('.woocommerce-variation-add-to-cart-disabled').length ? ' nasa-clone-disable' : '';

            _ressult = '<div class="nasa-single-btn-clone single_variation_wrap-clone' + _disable + '">' + _price + '<div class="woocommerce-variation-add-to-cart-clone">' + _btn + '</div></div>';
            
            var _options_txt = $('input[name="nasa_select_options_text"]').length ? $('input[name="nasa_select_options_text"]').val() : 'Select Options';
            
            _ressult = '<a class="nasa-toggle-variation_wrap-clone" href="javascript:void(0);">' + _options_txt + '</a>' + _ressult;
        }

        /**
         * Simple
         */
        else if ($(_wrap).find('.cart').length){
            /**
             * Clone form
             */
            var _addToCart = $(_wrap).find('.cart').clone();
            
            /**
             * Remove id
             */
            $(_addToCart).find('*').removeAttr('id');
            
            /**
             * Remove Style
             */
            if ($(_addToCart).find('.single_add_to_cart_button').length) {
                $(_addToCart).find('.single_add_to_cart_button').removeAttr('style');
            }
            
            /**
             * Remove Buy Now
             */
            if ($(_addToCart).find('.nasa-buy-now').length && !$(_addToCart).find('.nasa-buy-now').hasClass('has-sticky-in-desktop')) {
                $(_addToCart).find('.nasa-buy-now').remove();
            }
            
            /**
             * Remove tags not use in sticky
             */
            if ($(_addToCart).find('.nasa-not-in-sticky').length) {
                $(_addToCart).find('.nasa-not-in-sticky').remove();
            }
            
            /**
             * Compatible with Uni CPO/Rangeslider.ion Plugin
             */
            if ($(_addToCart).find('.uni-builderius-container').length) {
                $(_addToCart).find('.uni-builderius-container').remove();
            }
            
            var _btn = $(_addToCart).html();
            
            _ressult = '<div class="nasa-single-btn-clone">' + _btn + '</div>';
        }
    }
    
    return _ressult;
}

/**
 * Single slick images
 * 
 * @param {type} $
 * @param {type} restart
 * @returns {undefined}
 */
function load_slick_single_product($, restart) {
    if ($('.nasa-single-product-slide .nasa-single-product-main-image').length) {
        var _restart = typeof restart === 'undefined' ? false : true;
        var _rtl = $('body').hasClass('nasa-rtl') ? true : false;
        
        var _root_wrap = $('.nasa-single-product-slide');
        var _main = $(_root_wrap).find('.nasa-single-product-main-image'),
            _thumb = $(_root_wrap).find('.nasa-single-product-thumbnails').length ? $(_root_wrap).find('.nasa-single-product-thumbnails') : null,
            
            _autoplay = $(_root_wrap).attr('data-autoplay') === 'true' ? true : false,
            _speed = parseInt($(_root_wrap).attr('data-speed')),
            _delay = parseInt($(_root_wrap).attr('data-delay')),
            _dots = $(_root_wrap).attr('data-dots') === 'true' ? true : false,
            _num_main = parseInt($(_root_wrap).attr('data-num_main'));

        _speed = !_speed ? 600 : _speed;
        _delay = !_delay ? 6000 : _delay;
        _num_main = !_num_main ? 1 : _num_main;
        
        if (_restart) {
            if ($(_main).length && $(_main).hasClass('slick-initialized')) {
                $(_main).slick('unslick');
            }
            
            if ($(_thumb).length && $(_thumb).hasClass('slick-initialized')) {
                $(_thumb).slick('unslick');
            }
        }
        
        var _interval = setInterval(function() {
            if ($(_main).find('#nasa-main-image-0 img').height()) {
                if (!$(_main).hasClass('slick-initialized')) {
                    $(_main).slick({
                        rtl: _rtl,
                        slidesToShow: _num_main,
                        slidesToScroll: _num_main,
                        autoplay: _autoplay,
                        autoplaySpeed: _delay,
                        speed: _speed,
                        arrows: true,
                        dots: _dots,
                        infinite: false,
                        asNavFor: _thumb,
                        responsive: [
                            {
                                breakpoint: 768,
                                settings: {
                                    slidesToShow: 1,
                                    slidesToScroll: 1
                                }
                            }
                        ]
                    });
                }

                if (_thumb && !$(_thumb).hasClass('slick-initialized')) {
                    var _num_ver = parseInt($(_root_wrap).attr('data-num_thumb'));
                    _num_ver = !_num_ver ? 4 : _num_ver;

                    var _vertical = true;
                    var wrapThumb = $(_thumb).parents('.nasa-thumb-wrap');

                    if ($(wrapThumb).length && $(wrapThumb).hasClass('nasa-thumbnail-hoz')) {
                        _vertical = false;
                        _num_ver = 5;
                    }

                    var _setting = {
                        vertical: _vertical,
                        slidesToShow: _num_ver,
                        slidesToScroll: 1,
                        dots: false,
                        arrows: true,
                        infinite: false
                    };

                    if (!_vertical) {
                        _setting.rtl = _rtl;
                    } else {
                        _setting.verticalSwiping = true;
                    }

                    _setting.asNavFor = _main;
                    _setting.centerMode = false;
                    _setting.centerPadding = '0';
                    _setting.focusOnSelect = true;

                    $(_thumb).slick(_setting);
                    $(_thumb).attr('data-speed', _speed);
                }
                
                clearInterval(_interval);
                
                $('body').trigger('nasa_after_single_product_slick_inited', [_thumb, _num_ver]);
            }
        }, 100);
        
        setTimeout(function() {
            if ($('.nasa-single-product-slide .nasa-single-product-main-image .slick-list').length <= 0 || $('.nasa-single-product-slide .nasa-single-product-main-image .slick-list').height() < 2) {
                load_slick_single_product($, true);
            }
        }, 500);
    }
}

/**
 * Lightbox image single product page
 */
function load_gallery_popup($) {
    if ($('.main-images').length) {
        if (! $('body').hasClass('nasa-disable-lightbox-image')) {
            $('.main-images').magnificPopup({
                delegate: 'a',
                type: 'image',
                tLoading: '<div class="nasa-loader"></div>',
                removalDelay: 300,
                closeOnContentClick: true,
                // tClose: $('input[name="nasa-close-string"]').val(),
                closeMarkup: '<a class="nasa-mfp-close nasa-stclose" href="javascript:void(0);" title="' + $('input[name="nasa-close-string"]').val() + '"></a>',
                gallery: {
                    enabled: true,
                    navigateByImgClick: false,
                    preload: [0,1]
                },
                image: {
                    verticalFit: false,
                    tError: '<a href="%url%">The image #%curr%</a> could not be loaded.'
                },
                callbacks: {
                    beforeOpen: function() {
                        var productVideo = $('.product-video-popup').attr('href');

                        if (productVideo){
                            // Add product video to gallery popup
                            this.st.mainClass = 'has-product-video';
                            var galeryPopup = $.magnificPopup.instance;
                            galeryPopup.items.push({
                                src: productVideo,
                                type: 'iframe'
                            });

                            galeryPopup.updateItemHTML();
                        }
                    },
                    open: function() {

                    }
                }
            });
        }
        
        /**
         * Disable lightbox image
         */
        else {
            $('body').on('click', '.main-images a.woocommerce-additional-image', function() {
                return false;
            });
        }
    }
}

/**
 * Gallery for variation of Single Product
 * @type Boolean
 */
var _inited_gallery = false;
var _inited_gallery_key = 0;
var _timeout_changed;
if (typeof _single_variations === 'undefined') {
    var _single_variations = [];
}
function change_gallery_variable_single_product($) {
    /**
     * Default init
     */
    var _df_main = $('.nasa-main-image-default-wrap').clone();
    if ($(_df_main).find('.nasa-single-slider-arrows').length) {
        $(_df_main).find('.nasa-single-slider-arrows').remove();
    }
    
    _single_variations[0] = {
        'main_image': $(_df_main).html(),
        'thumb_image': $('.nasa-thumbnail-default-wrap').html()
    };

    if (typeof wc_add_to_cart_variation_params !== 'undefined'){
        $.fn.wc_variations_image_update = function(variation) {
            var $form = this;

            if (variation && variation.image && variation.image.src && variation.image.src.length > 1) {
                var _countSelect = $form.find('.variations .value select').length;
                var _selected = 0;
                if (_countSelect) {
                    $form.find('.variations .value select').each(function() {
                        if ($(this).val() !== '') {
                            _selected++;
                        }
                    });
                }

                if (_countSelect && _selected === _countSelect) {
                    _inited_gallery = false;
                    _inited_gallery_key = 1;

                    var _data = {
                        'variation_id': variation.variation_id,
                        'main_id': (variation.image_id ? variation.image_id : 0),
                        'gallery': variation.nasa_gallery_variation
                    };

                    if (
                        $('.nasa-detail-product-deal-countdown').length &&
                        variation.is_in_stock && variation.is_purchasable
                    ) {
                        _data.deal_variation = '1';
                    }

                    if (typeof _single_variations[variation.variation_id] === 'undefined') {
                        if (
                            typeof nasa_ajax_params !== 'undefined' &&
                            typeof nasa_ajax_params.wc_ajax_url !== 'undefined'
                        ) {
                            var _urlAjax = nasa_ajax_params.wc_ajax_url.toString().replace('%%endpoint%%', 'nasa_get_gallery_variation');

                            $.ajax({
                                url: _urlAjax,
                                type: 'post',
                                dataType: 'json',
                                cache: false,
                                data: {
                                    data: _data
                                },
                                beforeSend: function () {
                                    if (!$form.hasClass('nasa-processing')) {
                                        $form.addClass('nasa-processing');
                                    }
                    
                                    $('.nasa-detail-product-deal-countdown').html('');
                                    $('.nasa-detail-product-deal-countdown').removeClass('nasa-show');

                                    $('.nasa-product-details-page').find('.product-gallery').append('<div class="nasa-loading"></div>');
                                    $('.nasa-product-details-page').find('.product-gallery').append('<div class="nasa-loader" style="top:45%"></div>');
                                    $('.product-gallery').css({'min-height': $('.product-gallery').outerHeight()});
                                },
                                success: function (result) {
                                    $form.removeClass('nasa-processing');
                                    
                                    $('.nasa-product-details-page').find('.product-gallery .nasa-loading').remove();
                                    $('.nasa-product-details-page').find('.product-gallery .nasa-loader').remove();

                                    _single_variations[variation.variation_id] = result;

                                    /**
                                     * Deal
                                     */
                                    if (typeof result.deal_variation !== 'undefined') {
                                        $('.nasa-detail-product-deal-countdown').html(result.deal_variation);

                                        if (result.deal_variation !== '') {
                                            /**
                                             * Trigger after changed Countdown
                                             */
                                            $('body').trigger('nasa_changed_countdown_variable_single');
                                            
                                            if (!$('.nasa-detail-product-deal-countdown').hasClass('nasa-show')) {
                                                $('.nasa-detail-product-deal-countdown').addClass('nasa-show');
                                            }
                                        }

                                        else {
                                            $('.nasa-detail-product-deal-countdown').removeClass('nasa-show');
                                        }
                                    } else {
                                        $('.nasa-detail-product-deal-countdown').removeClass('nasa-show');
                                    } 

                                    /**
                                     * Main image
                                     */
                                    if (typeof result.main_image !== 'undefined') {
                                        $('.nasa-main-image-default').replaceWith(result.main_image);
                                    }

                                    /**
                                     * Thumb image
                                     */
                                    if ($('.nasa-thumbnail-default').length && typeof result.thumb_image !== 'undefined') {
                                        $('.nasa-thumbnail-default').replaceWith(result.thumb_image);

                                        if ($('.nasa-thumb-clone img').length && $('.product-thumbnails .nasa-wrap-item-thumb[data-key="0"] img').length) {
                                            $('.nasa-thumb-clone img').attr('src', $('.product-thumbnails .nasa-wrap-item-thumb[data-key="0"] img').attr('src'));
                                        }
                                    } else if ($('.nasa-thumb-clone img').length && typeof result.main_image !== 'undefined') {
                                        $('.nasa-thumb-clone img').attr('src', $('.main-images .item-wrap.first img').attr('src'));
                                    }
                                    
                                    /**
                                     * Trigger after changed Gallery for Single product
                                     */
                                    $('body').trigger('nasa_changed_gallery_variable_single');
                                },
                                error: function() {
                                    $form.removeClass('nasa-processing');
                                }
                            });
                        }
                    } else {
                        var result = _single_variations[variation.variation_id];

                        /**
                         * Deal
                         */
                        if (typeof result.deal_variation !== 'undefined') {
                            $('.nasa-detail-product-deal-countdown').html(result.deal_variation);

                            if (result.deal_variation !== '') {
                                /**
                                 * Trigger after changed Countdown
                                 */
                                $('body').trigger('nasa_changed_countdown_variable_single');
                                            
                                if (!$('.nasa-detail-product-deal-countdown').hasClass('nasa-show')) {
                                    $('.nasa-detail-product-deal-countdown').addClass('nasa-show');
                                }
                            }

                            else {
                                $('.nasa-detail-product-deal-countdown').removeClass('nasa-show');
                            }
                        } else {
                            $('.nasa-detail-product-deal-countdown').removeClass('nasa-show');
                        }

                        /**
                         * Main image
                         */
                        if (typeof result.main_image !== 'undefined') {
                            $('.nasa-product-details-page').find('.product-gallery').append('<div class="nasa-loading"></div>');
                            $('.nasa-product-details-page').find('.product-gallery').append('<div class="nasa-loader" style="top:45%"></div>');
                            $('.product-gallery').css({'min-height': $('.product-gallery').outerHeight()});
                            $('.nasa-main-image-default').replaceWith(result.main_image);
                            if (typeof _timeout_changed !== 'undefined') {
                                clearTimeout(_timeout_changed);
                            }
                            
                            _timeout_changed = setTimeout(function() {
                                $('.nasa-product-details-page .product-gallery').find('.nasa-loader, .nasa-loading').remove();
                                $('.product-gallery').css({'min-height': 'auto'});
                            }, 200);
                        }

                        /**
                         * Thumb image
                         */
                        if ($('.nasa-thumbnail-default').length && typeof result.thumb_image !== 'undefined') {
                            $('.nasa-thumbnail-default').replaceWith(result.thumb_image);

                            if ($('.nasa-thumb-clone img').length && $('.product-thumbnails .nasa-wrap-item-thumb[data-key="0"] img').length) {
                                $('.nasa-thumb-clone img').attr('src', $('.product-thumbnails .nasa-wrap-item-thumb[data-key="0"] img').attr('src'));
                            }
                        } else if ($('.nasa-thumb-clone img').length && typeof result.main_image !== 'undefined') {
                            $('.nasa-thumb-clone img').attr('src', $('.main-images .item-wrap.first img').attr('src'));
                        }

                        /**
                         * Trigger after changed Gallery for Single product
                         */
                        $('body').trigger('nasa_changed_gallery_variable_single');
                    }
                }
            }

            /**
             * Default
             */
            else {
                if (!_inited_gallery) {

                    _inited_gallery = true;

                    var result = _single_variations[0];
                    if ($('.nasa-detail-product-deal-countdown').length) {
                        $('.nasa-detail-product-deal-countdown').removeClass('nasa-show').html('');
                    }

                    /**
                     * Main image
                     */
                    if (typeof result.main_image !== 'undefined') {
                        $('.nasa-main-image-default').replaceWith(result.main_image);
                    }

                    /**
                     * Thumb image
                     */
                    if (typeof result.thumb_image !== 'undefined') {
                        $('.nasa-thumbnail-default').replaceWith(result.thumb_image);

                        if ($('.nasa-thumb-clone img').length && $('.product-thumbnails .nasa-wrap-item-thumb[data-key="0"] img').length) {
                            $('.nasa-thumb-clone img').attr('src', $('.product-thumbnails .nasa-wrap-item-thumb[data-key="0"] img').attr('src'));
                        }
                    }

                    /**
                     * Trigger after changed Gallery for Single product
                     */
                    $('body').trigger('nasa_changed_gallery_variable_single');
                }
            }
        };
    }
}

/**
 * Change image variable Single product
 */
function change_image_variable_single_product($) {
    /**
     * Trigger Easy Zoom
     */
    $('body').trigger('nasa_before_changed_src_main_img');
    
    /**
     * Change gallery for single product variation
     */
    if (typeof wc_add_to_cart_variation_params !== 'undefined'){
        $.fn.wc_variations_image_update = function(variation) {
            var $form = this;
            
            if (variation && variation.image && variation.image.src && variation.image.src.length > 1) {
                var _countSelect = $form.find('.variations .value select').length;
                var _selected = 0;
                if (_countSelect) {
                    $form.find('.variations .value select').each(function() {
                        if ($(this).val() !== '') {
                            _selected++;
                        }
                    });
                }
                
                if (_countSelect && _selected === _countSelect) {
                    var src_thumb = false;

                    /**
                     * Support Bundle product
                     */
                    if ($('.nasa-product-details-page .woosb-product').length) {
                        if (variation.image.thumb_src !== 'undefined' || variation.image.gallery_thumbnail_src !== 'undefined') {
                            src_thumb = variation.image.gallery_thumbnail_src ? variation.image.gallery_thumbnail_src :  variation.image.thumb_src;
                        }

                        if (src_thumb) {
                            $form.parents('.woosb-product').find('.woosb-thumb-new').html('<img src="' + src_thumb + '" />');
                            $form.parents('.woosb-product').find('.woosb-thumb-ori').hide();
                            $form.parents('.woosb-product').find('.woosb-thumb-new').show();
                        }
                    }
                    
                    else {
                        var _src_large = typeof variation.image_single_page !== 'undefined' ?
                            variation.image_single_page : variation.image.url;
                            
                        $('.main-images .nasa-item-main-image-wrap[data-key="0"] img').attr('src', _src_large);
                        $('.main-images .nasa-item-main-image-wrap[data-key="0"] a').attr('href', variation.image.url);

                        /**
                         * Trigger Easy Zoom
                         */
                        $('body').trigger('nasa_after_changed_src_main_img', [_src_large, variation.image.url]);
                        
                        $('.main-images .nasa-item-main-image-wrap[data-key="0"] img').removeAttr('srcset');

                        /**
                         * For thumnail
                         */
                        if ($('.product-thumbnails').length) {
                            if (variation.image.thumb_src !== 'undefined') {
                                src_thumb = variation.image.thumb_src;
                            } else {
                                var thumb_wrap = $('.product-thumbnails .nasa-wrap-item-thumb[data-key="0"]');
                                if (typeof $(thumb_wrap).attr('data-thumb_org') === 'undefined') {
                                    $(thumb_wrap).attr('data-thumb_org', $(thumb_wrap).find('img').attr('src'));
                                }

                                src_thumb = $(thumb_wrap).attr('data-thumb_org');
                            }

                            if (src_thumb) {
                                $('.product-thumbnails .nasa-wrap-item-thumb[data-key="0"] img').attr('src', src_thumb).removeAttr('srcset');
                                if ($('body').hasClass('nasa-focus-main-image') && $('.product-thumbnails .nasa-wrap-item-thumb[data-key="0"] a').length) {
                                    $('.product-thumbnails .nasa-wrap-item-thumb[data-key="0"] a').trigger('click');
                                }

                                if ($('.nasa-thumb-clone img').length) {
                                    $('.nasa-thumb-clone img').attr('src', src_thumb);
                                }
                            }
                        }
                        
                        else if ($('.nasa-thumb-clone img').length && _src_large) {
                            $('.nasa-thumb-clone img').attr('src', _src_large);
                        }
                    }
                }
                
            } else {
                /**
                 * Support Bundle product
                 */
                if ($('.nasa-product-details-page .woosb-product').length) {
                    $form.parents('.woosb-product').find('.woosb-thumb-ori').show();
                    $form.parents('.woosb-product').find('.woosb-thumb-new').hide();
                } else {
                    var image_link = typeof $('.nasa-product-details-page .woocommerce-main-image').attr('data-full_href') !== 'undefined' ?
                        $('.nasa-product-details-page .woocommerce-main-image').attr('data-full_href') :
                        $('.nasa-product-details-page .woocommerce-main-image').attr('data-o_href');
                    var image_large = $('.nasa-product-details-page .woocommerce-main-image').attr('data-o_href');
                    
                    $('.main-images .nasa-item-main-image-wrap[data-key="0"] img').attr('src', image_large).removeAttr('srcset');
                    $('.main-images .nasa-item-main-image-wrap[data-key="0"] a').attr('href', image_link);
                    
                    /**
                     * Trigger Easy Zoom
                     */
                    $('body').trigger('nasa_after_changed_src_main_img', [image_large, image_link]);

                    if ($('.product-thumbnails').length) {
                        var thumb_wrap = $('.product-thumbnails .nasa-wrap-item-thumb[data-key="0"]');
                        if (typeof $(thumb_wrap).attr('data-thumb_org') === 'undefined') {
                            $(thumb_wrap).attr('data-thumb_org', $(thumb_wrap).find('img').attr('src'));
                        }

                        var src_thumb = $(thumb_wrap).attr('data-thumb_org');
                        if (src_thumb) {
                            $('.product-thumbnails .nasa-wrap-item-thumb[data-key="0"] img').attr('src', src_thumb);
                            if ($('body').hasClass('nasa-focus-main-image') && $('.product-thumbnails .nasa-wrap-item-thumb[data-key="0"] a').length) {
                                $('.product-thumbnails .nasa-wrap-item-thumb[data-key="0"] a').trigger('click');
                            }

                            if ($('.nasa-thumb-clone img').length) {
                                $('.nasa-thumb-clone img').attr('src', src_thumb);
                            }
                        }
                    } else if ($('.nasa-thumb-clone img').length && image_large) {
                        $('.nasa-thumb-clone img').attr('src', image_large);
                    }
                }
            }

            /**
             * deal time
             */
            if ($('.nasa-detail-product-deal-countdown').length) {
                if (
                    variation && variation.variation_id &&
                    variation.is_in_stock && variation.is_purchasable
                ) {
                    if (typeof _single_variations[variation.variation_id] === 'undefined') {
                        if (
                            typeof nasa_ajax_params !== 'undefined' &&
                            typeof nasa_ajax_params.wc_ajax_url !== 'undefined'
                        ) {
                            var _urlAjax = nasa_ajax_params.wc_ajax_url.toString().replace('%%endpoint%%', 'nasa_get_deal_variation');
                            
                            $.ajax({
                                url: _urlAjax,
                                type: 'post',
                                cache: false,
                                data: {
                                    pid: variation.variation_id
                                },
                                beforeSend: function () {
                                    if (!$form.hasClass('nasa-processing-countdown')) {
                                        $form.addClass('nasa-processing-countdown');
                                    }
                                    
                                    $('.nasa-detail-product-deal-countdown').html('');
                                    $('.nasa-detail-product-deal-countdown').removeClass('nasa-show');
                                },
                                success: function (res) {
                                    $form.removeClass('nasa-processing-countdown');
                                    
                                    if (typeof res.success !== 'undefined' && res.success === '1') {
                                        _single_variations[variation.variation_id] = res.content;
                                    } else {
                                        _single_variations[variation.variation_id] = '';
                                    }
                                    $('.nasa-detail-product-deal-countdown').html(_single_variations[variation.variation_id]);
                                    if (_single_variations[variation.variation_id] !== '') {
                                        /**
                                         * Trigger after changed Countdown
                                         */
                                        $('body').trigger('nasa_changed_countdown_variable_single');
                                        
                                        if (!$('.nasa-detail-product-deal-countdown').hasClass('nasa-show')) {
                                            $('.nasa-detail-product-deal-countdown').addClass('nasa-show');
                                        }
                                    } else {
                                        $('.nasa-detail-product-deal-countdown').removeClass('nasa-show');
                                    }
                                },
                                error: function() {
                                    $form.removeClass('nasa-processing-countdown');
                                }
                            });
                        }
                    } else {
                        $('.nasa-detail-product-deal-countdown').html(_single_variations[variation.variation_id]);
                        if (_single_variations[variation.variation_id] !== '') {
                            
                            /**
                             * Trigger after changed Countdown
                             */
                            $('body').trigger('nasa_changed_countdown_variable_single');
                            
                            if (!$('.nasa-detail-product-deal-countdown').hasClass('nasa-show')) {
                                $('.nasa-detail-product-deal-countdown').addClass('nasa-show');
                            }
                        } else {
                            $('.nasa-detail-product-deal-countdown').removeClass('nasa-show');
                        }
                    }
                } else {
                    $('.nasa-detail-product-deal-countdown').html('');
                    $('.nasa-detail-product-deal-countdown').removeClass('nasa-show');
                }
            }
        };
    }
}

/**
 * Scroll Single Product sticky info and thumbnails
 */
function load_scroll_single_product($, _click) {
    var clickEvent = typeof _click !== 'undefined' ? _click : false;
    if ($('.nasa-single-product-scroll').length && $('.nasa-end-scroll').length) {
        var _hasThumbs = $('.nasa-single-product-thumbnails').length ? true : false;
        if ($('.nasa-single-product-thumbnails').hasClass('nasa-single-fixed')) {
            var _thumb_wrap = $('.nasa-single-product-thumbnails').parents('.nasa-thumb-wrap');
            var _pos_thumb = $(_thumb_wrap).offset();
            $('.nasa-single-product-thumbnails').css({
                'left': _pos_thumb.left,
                'width': $(_thumb_wrap).width()
            });
        }
        
        if ($('.nasa-product-info-scroll').hasClass('nasa-single-fixed')) {
            var _scroll_wrap = $('.nasa-product-info-scroll').parents('.nasa-product-info-wrap');
            var _pos_wrap = $(_scroll_wrap).offset();
            $('.nasa-product-info-scroll').css({
                'left': _pos_wrap.left,
                'width': $(_scroll_wrap).width()
            });
        }
        
        var _col_main = parseInt($('.nasa-single-product-scroll').attr('data-num_main'));
        var _main_images = [];
        $('.nasa-item-main-image-wrap').each(function() {
            var p = {
                id: '#' + $(this).attr('id'),
                pos: $(this).offset().top
            };
            
            _main_images.push(p);
        });
        
        if (clickEvent) {
            var _timeOutThumbItem;
            $('body').on('click', '.nasa-thumb-wrap .nasa-wrap-item-thumb', function() {
                if (typeof _timeOutThumbItem !== 'undefined') {
                    clearTimeout(_timeOutThumbItem);
                }

                var _main = $(this).attr('data-main');

                var _topfix = 0;
                if ($('.fixed-already').length === 1) {
                    _topfix += $('.fixed-already').outerHeight();
                }

                if ($('#wpadminbar').length === 1) {
                    _topfix += $('#wpadminbar').outerHeight();
                }

                var _pos_top = $(_main).offset().top - _topfix;

                _timeOutThumbItem = setTimeout(function() {
                    $('html, body').animate({scrollTop: _pos_top - 10}, 300);
                }, 100);
            });
        }
        
        var lastScrollTop = 0;
        $(window).scroll(function(){
            var scrollTop = $(this).scrollTop();
            var bodyHeight = $(window).height();
            var _inMobile = $('.nasa-check-reponsive.nasa-switch-check').length && $('.nasa-check-reponsive.nasa-switch-check').width() === 1 ? true : false;
            if (!_inMobile) {
                var _down = scrollTop > lastScrollTop ? true : false;
                lastScrollTop = scrollTop;
                
                var _pos = $('.nasa-main-wrap').offset();
                var _pos_end = $('.nasa-end-scroll').offset();

                var _topfix = 0;
                if ($('.fixed-already').length === 1) {
                    _topfix += $('.fixed-already').outerHeight();
                }

                if ($('#wpadminbar').length === 1) {
                    _topfix += $('#wpadminbar').outerHeight();
                }
                
                var _higherInfo = true;
                if ($('.nasa-product-info-scroll').outerHeight() < (bodyHeight + 10 - _topfix)) {
                    _higherInfo = false;
                }

                var _higherThumb = true;
                if (_hasThumbs && $('.nasa-single-product-thumbnails').outerHeight() < (bodyHeight + 10 - _topfix)) {
                    _higherThumb = false;
                }
                
                var _start_top = _pos.top - _topfix;

                var _info_height = $('.nasa-product-info-scroll').height();
                var _thumb_height = _hasThumbs ? $('.nasa-single-product-thumbnails').height() : 0;
                
                var _moc_end_info = scrollTop + bodyHeight - (bodyHeight - _info_height) + _topfix + 10;
                var _moc_end_thumb = scrollTop + bodyHeight - (bodyHeight - _thumb_height) + _topfix + 10;
                var _topbar = scrollTop - _start_top;
                
                if (_pos_end.top > _moc_end_info) {
                    if (_topbar >= 0){
                        var _scroll_wrap = $('.nasa-product-info-scroll').parents('.nasa-product-info-wrap');
                        var _pos_wrap = $(_scroll_wrap).offset();
                        if (!$('.nasa-product-info-scroll').hasClass('nasa-single-fixed')) {
                            $('.nasa-product-info-scroll').addClass('nasa-single-fixed');
                        }
                        
                        if (!_higherInfo) {
                            $('.nasa-product-info-scroll').css({
                                '-webkit-transform': 'translate3d(0,0,0)',
                                '-moz-transform': 'translate3d(0,0,0)',
                                '-ms-transform': 'translate3d(0,0,0)',
                                'transform': 'translate3d(0,0,0)',
                                'top': _topfix + 10,
                                'bottom': 'auto',
                                'left': _pos_wrap.left,
                                'width': $(_scroll_wrap).width()
                            });
                            
                            $('.nasa-product-info-scroll').css({'margin-top': _topbar + 10});
                        }
                        
                        else {
                            $('.nasa-product-info-scroll').css({
                                '-webkit-transform': 'translate3d(0,0,0)',
                                '-moz-transform': 'translate3d(0,0,0)',
                                '-ms-transform': 'translate3d(0,0,0)',
                                'transform': 'translate3d(0,0,0)',
                                'left': _pos_wrap.left,
                                'width': $(_scroll_wrap).width()
                            });
                            
                            if (_down) {
                                $('.nasa-product-info-scroll').css({
                                    'top': 'auto',
                                    'bottom': 0
                                });

                                $('.nasa-product-info-scroll').css({'margin-top': _topbar + 10});
                            }
                            
                            else {
                                $('.nasa-product-info-scroll').css({
                                    'top': _topfix + 10,
                                    'bottom': 'auto'
                                });
                            }
                        }
                    } else {
                        if ($('.nasa-product-info-scroll').hasClass('nasa-single-fixed')) {
                            $('.nasa-product-info-scroll').removeClass('nasa-single-fixed');
                        }
                        $('.nasa-product-info-scroll').css({'margin-top': 0});
                    }
                } else {
                    if ($('.nasa-product-info-scroll').hasClass('nasa-single-fixed')) {
                        $('.nasa-product-info-scroll').removeClass('nasa-single-fixed');
                    }
                }
                
                /**
                 * Scroll Thumbnails
                 */
                if (_hasThumbs) {
                    if (_pos_end.top > _moc_end_thumb) {
                        if (_topbar >= 0){
                            var _thumb_wrap = $('.nasa-single-product-thumbnails').parents('.nasa-thumb-wrap');
                            var _pos_thumb = $(_thumb_wrap).offset();
                            if (!$('.nasa-single-product-thumbnails').hasClass('nasa-single-fixed')) {
                                $('.nasa-single-product-thumbnails').addClass('nasa-single-fixed');
                            }
                            
                            if (!_higherThumb) {
                                $('.nasa-single-product-thumbnails').css({
                                    '-webkit-transform': 'translate3d(0, 0, 0)',
                                    '-moz-transform': 'translate3d(0, 0, 0)',
                                    '-ms-transform': 'translate3d(0, 0, 0)',
                                    'transform': 'translate3d(0, 0, 0)',
                                    'top': _topfix + 10,
                                    'bottom': 'auto',
                                    'left': _pos_thumb.left,
                                    'width': $(_thumb_wrap).width()
                                });
                                
                                $('.nasa-single-product-thumbnails').css({'margin-top': _topbar  + 10});
                            }
                            
                            else {
                                $('.nasa-single-product-thumbnails').css({
                                    '-webkit-transform': 'translate3d(0, 0, 0)',
                                    '-moz-transform': 'translate3d(0, 0, 0)',
                                    '-ms-transform': 'translate3d(0, 0, 0)',
                                    'transform': 'translate3d(0, 0, 0)',
                                    'left': _pos_thumb.left,
                                    'width': $(_thumb_wrap).width()
                                });
                                
                                if (_down) {
                                    $('.nasa-single-product-thumbnails').css({
                                        'top': 'auto',
                                        'bottom': 0
                                    });
                                    
                                    $('.nasa-single-product-thumbnails').css({'margin-top': _topbar  + 10});
                                } else {
                                    $('.nasa-single-product-thumbnails').css({
                                        'top': _topfix + 10,
                                        'bottom': 'auto'
                                    });
                                }
                            }
                        } else {
                            if ($('.nasa-single-product-thumbnails').hasClass('nasa-single-fixed')) {
                                $('.nasa-single-product-thumbnails').removeClass('nasa-single-fixed');
                            }
                            $('.nasa-single-product-thumbnails').css({'margin-top': 0});
                        }
                    } else {
                        if ($('.nasa-single-product-thumbnails').hasClass('nasa-single-fixed')) {
                            $('.nasa-single-product-thumbnails').removeClass('nasa-single-fixed');
                        }
                    }
                }

                // Active image scroll
                var i = _main_images.length;
                if (i) {
                    for(i; i>0; i--) {
                        if (_main_images[i-1].pos <= scrollTop + _topfix + 50){
                            var _key = $(_main_images[i-1].id).attr('data-key');
                            $('.nasa-thumb-wrap .nasa-wrap-item-thumb').removeClass('nasa-active');
                            $('.nasa-thumb-wrap .nasa-wrap-item-thumb[data-key="' + _key + '"]').addClass('nasa-active');
                            if (_col_main % 2 === 0) {
                                var _before_key = (parseInt(_key) - 1).toString();
                                if ($('.nasa-thumb-wrap .nasa-wrap-item-thumb[data-key="' + _before_key + '"]').length) {
                                    $('.nasa-thumb-wrap .nasa-wrap-item-thumb[data-key="' + _before_key + '"]').addClass('nasa-active');
                                }
                            }
                            
                            break;
                        }
                    }
                }
            } else {
                $('.nasa-product-info-scroll').removeAttr('style');
                if (_hasThumbs) {
                    $('.nasa-single-product-thumbnails').removeAttr('style');
                }
                $('.nasa-thumb-wrap .nasa-wrap-item-thumb').removeClass('nasa-active');
                $('.nasa-thumb-wrap .nasa-wrap-item-thumb[data-key="0"]').addClass('nasa-active');
            }
        });
    }
}
